Subject: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Nov 2022 08:46:03 +0200

> Date: Sun, 27 Nov 2022 03:08:04 +0200
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> >>> "These will be used" how?  This crucial information is sorely missing from
> >>> this description.  Likewise, how "markers" that are not files are used and
> >>> are useful?
> >>
> > [...]
> > Thanks, but I meant for at least some of the above to be in the doc strings
> > and/or explained here in plain English.  Readers aren't supposed to search
> > bug reports for relevant information.  (And for me personally, this means I
> > won't be able to look up the relevant information before at least another
> > week or two, which is a pity.)
> 
> The links were meant to illustrate that most people Cc'd probably 
> understand the context already (modulo some forgetting because time has 
> passed).
> 
> And either way I'm probably too close to the problem to understand 
> easily what is clear to the average user and what is not. That's why 
> questions are always useful.
> 
> I've added the examples to the docstring and rephrased it a little. Does 
> it read better now?

Sorry, no.  My basic question "how are these markers used?" is still
unanswered.  You seem to assume that saying "in addition to regular
directory markers such as .git, .hg" explains it, but it doesn't, because
how the "regular directory markers" are used is still a mystery.  And the
purpose of the markers according to the doc string, viz.:

   List of additional markers to signal project roots.

doesn't help enough, since "signal project roots" is too vague and abstract.